<!DOCTYPE html>
<html lang="en">
<head>
  <title>Pearson Web Component</title>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width" />

  <META HTTP-EQUIV='PRAGMA' CONTENT='NO-CACHE'>
  <META HTTP-EQUIV='CACHE-CONTROL' CONTENT='NO-CACHE'>

  <link rel="stylesheet" href="https://pearsonux.sfo2.cdn.digitaloceanspaces.com/css/gravity.css"/>
  <script type="text/javascript">
    if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
      document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
      document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
    } else {
      document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
      document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
    }
  </script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment-with-locales.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment-range/4.0.2/moment-range.js"></script>

  <script src="https://unpkg.com/@pearson-ux/icon"></script>
  <script src="js/dist/pearson-search-bar.js"></script>

  <style>
    body{
    margin:50px;
    }
  </style>

  </head>
  <body>
    <pearson-search-bar placeholder="Type a search term here">

    </pearson-search-bar>


    <script>
      const searchBar = document.querySelector('pearson-search-bar')

      // set the collapsed attribute when window is resized
      window.addEventListener('resize', debounce(collapse, 15));
      window.addEventListener('load', collapse);

      function debounce(func, wait, immediate) {
          var timeout;
          return function() {
              var context = this, args = arguments;
              var later = function() {
                  timeout = null;
                  if (!immediate) func.apply(context, args);
              };
              var callNow = immediate && !timeout;
              clearTimeout(timeout);
              timeout = setTimeout(later, wait);
              if (callNow) func.apply(context, args);
          };
        };

      function collapse(){
          if(window.innerWidth<500){
              searchBar.setAttribute('collapsed','');
          } else {
              searchBar.removeAttribute('collapsed');
          }
      }

      //get the pearson-search-bar values on 'search' event (cross browser)
      searchBar.addEventListener('search', function(event) {
        console.log(searchBar.value);
      });
    </script>
  </body>
</html>
